<?php 
require_once "global.php";

global $conexion3;
$conexion3=new mysqli(DB_HOST2,DB_USERNAME2,DB_PASSWORD2,DB_NAME2);

mysqli_query($conexion3, 'SET NAMES "'.DB_ENCODE1.'"');

//muestra posible error en la conexion
if (mysqli_connect_errno()) {
	printf("Falló en la conexion con la base de datos: %s\n",mysqli_connect_error());
	exit();
}

if (!function_exists('ejecutarConsulta')) {
	Function ejecutarConsulta($sql){ 
		global $conexion31;
		$conexion31=new mysqli(DB_HOST2,DB_USERNAME2,DB_PASSWORD2,DB_NAME2);
		mysqli_query($conexion31, 'SET NAMES "'.DB_ENCODE1.'"');
		$query=$conexion31->query($sql);
		return $query;
	}

	function ejecutarConsultaSimpleFila($sql){
		global $conexion31;
		$conexion31=new mysqli(DB_HOST2,DB_USERNAME2,DB_PASSWORD2,DB_NAME2);
		mysqli_query($conexion31, 'SET NAMES "'.DB_ENCODE1.'"');
		$query=$conexion31->query($sql);
		$row=$query->fetch_assoc();
		return $row;
	}

	function ejecutarConsultaSimpleFila2($sql){
		global $conexion31;
		$conexion31=new mysqli(DB_HOST2,DB_USERNAME2,DB_PASSWORD2,DB_NAME2);
		mysqli_query($conexion31, 'SET NAMES "'.DB_ENCODE1.'"');
		$query=$conexion31->query($sql);
		$row  = $query->fetch_all(MYSQLI_ASSOC);
		return $row;
	}

	function ejecutarConsulta_retornarID($sql){
		global $conexion31;
		$conexion31=new mysqli(DB_HOST2,DB_USERNAME2,DB_PASSWORD2,DB_NAME2);
		mysqli_query($conexion31, 'SET NAMES "'.DB_ENCODE1.'"');
		$query=$conexion31->query($sql);
		return $conexion31->insert_id;
	}

	function ejecutarConsultaSimpleFilaParametros($sql,$codigobarra){
		global $conexion31;
		$conexion31=new mysqli(DB_HOST2,DB_USERNAME2,DB_PASSWORD2,DB_NAME2);
		mysqli_query($conexion31, 'SET NAMES "'.DB_ENCODE1.'"');
		
		$query = $conexion31->prepare($sql);
		/* Asignamos el parámetro al valor enviado por POST */
		$query->bindValue(':codigobarra',$codigobarra,PDO::PARAM_STR);
		/* Ejecutamos la consulta */
		$query->execute();
		/* Devolvemos el registro obtenido como respuesta en JSON */
		$row=$query->fetch_assoc();
		return $row;
	}

	function limpiarCadena($str){
		global $conexion31;
		$conexion31=new mysqli(DB_HOST2,DB_USERNAME2,DB_PASSWORD2,DB_NAME2);
		mysqli_query($conexion31, 'SET NAMES "'.DB_ENCODE1.'"');
		$str=mysqli_real_escape_string($conexion31,trim($str));
		return htmlspecialchars($str);
	}
}

 ?>